summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Ohly <patrick.ohly@intel.com>2015-03-03 00:42:58 -0800
committerPatrick Ohly <patrick.ohly@intel.com>2015-03-03 10:15:44 +0100
commitf7b19f645ed6c3b28fd694a400799b71361c4300 (patch)
tree27a2e4ebc3db9850fc6320eb87019b579c0d8485
parenta8e39070d6f3e8a49aa9d8cccd1d77c8d5ebc403 (diff)
wrappercheck.sh: avoid kill without process pids
During exit, check whether there are really processes to be killed. Avoids some error messages from the bogus kill invocation.
-rwxr-xr-xtest/wrappercheck.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/wrappercheck.sh b/test/wrappercheck.sh
index be0d6c1d..b1ae1032 100755
--- a/test/wrappercheck.sh
+++ b/test/wrappercheck.sh
@@ -15,8 +15,8 @@ PS4='wrappercheck-$$ line ${LINENO}: '
PIDS=
-trap "kill -TERM $PIDS" TERM
-trap "kill -INT $PIDS" INT
+trap "[ \"$PIDS\" ] && kill -TERM $PIDS" TERM
+trap "[ \"$PIDS\" ] && kill -INT $PIDS" INT
DAEMON_LOG=
WAIT_FOR_DAEMON_OUTPUT=